diff --git a/Languages/ISO639-1-LanguageCodes.rdf b/Languages/ISO639-1-LanguageCodes.rdf
index 9509456..ab6fda3 100644
--- a/Languages/ISO639-1-LanguageCodes.rdf
+++ b/Languages/ISO639-1-LanguageCodes.rdf
@@ -4299,10 +4299,10 @@
         <rdf:type rdf:resource="&lcc-lr;ArtificialLanguage"/>
         <rdfs:label>Volapuk</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Volapuk language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Volap&#252;k</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">volap&#252;k</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Volap&#252;k</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">volap&#252;k</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Volapük</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">volapük</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Volapük</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">volapük</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4311,9 +4311,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Walloon</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Walloon language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Walloon</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">wallon</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Wallonisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Walloon</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">wallon</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Wallonisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">wallon</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4323,9 +4323,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Welsh</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Welsh language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Welsh</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gallois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kymrisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Welsh</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">gallois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kymrisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Cymraeg</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4335,9 +4335,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Wolof</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Wolof language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Wolof</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">wolof</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Wolof-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Wolof</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">wolof</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Wolof-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">wolof</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4347,9 +4347,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Xhosa</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Xhosa language</skos:definition>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">xhosa</lcc-lr:hasFrenchName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Xhosa</lcc-lr:hasEnglishName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Xhosa-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasFrenchName xml:lang="fr">xhosa</lcc-lr:hasFrenchName>
+        <lcc-lr:hasEnglishName xml:lang="en">Xhosa</lcc-lr:hasEnglishName>
+        <lcc-lr:hasGermanName xml:lang="ge">Xhosa-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">isiXhosa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4359,10 +4359,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Yiddish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Yiddish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Yiddish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">yiddish</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Jiddisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">yidi&#353;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Yiddish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">yiddish</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Jiddisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">yidiš</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4371,10 +4371,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Yoruba</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Yoruba language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Yoruba</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">yorouba</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Yoruba-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Yor&#249;b&#225;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Yoruba</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">yorouba</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Yoruba-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Yorùbá</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -4383,11 +4383,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Zhuang</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Zhuang languages</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Chuang</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zhuang</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">chuang</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zhuang</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Zhuang</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Chuang</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Zhuang</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">chuang</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">zhuang</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Zhuang</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">cuengh</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -4397,9 +4397,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Zulu</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Zulu language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zulu</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zoulou</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Zulu-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Zulu</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">zoulou</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Zulu-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">isiZulu</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
